Skip to main content
POST
/
api
/
v1
/
ai
/
async
Submit async AI job
curl --request POST \
  --url https://api.kynva.ai/api/v1/ai/async \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "input": {},
  "webhookUrl": "<string>"
}
'
import requests

url = "https://api.kynva.ai/api/v1/ai/async"

payload = {
    "input": {},
    "webhookUrl": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({input: {}, webhookUrl: '<string>'})
};

fetch('https://api.kynva.ai/api/v1/ai/async', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "success": true,
  "data": {
    "jobId": "<string>",
    "type": "<string>",
    "status": "<string>",
    "pollUrl": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)

Body

application/json
type
enum<string>
required

AI operation type

Available options:
generate,
generate-background,
generate-product-backdrop,
remove-background,
upscale,
upscale-fast,
gradient,
extract-colors,
smart-crop
input
object
required

Input parameters for the AI operation

webhookUrl
string<uri>

URL to call when job completes

Response

202 - application/json

Job accepted

Job accepted

success
boolean
data
object